#include<bits/stdc++.h>
using namespace std;
#define MAXN 1000010
typedef pair<double,double> pdd;
pdd arr[MAXN];
bool compare(pdd a, pdd b)
{
    if(a.second>b.second)return true;
    return false;
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n;
    cin>>n;
    for(int i=0;i<n;++i)
    {
        cin>>arr[i].first;
        cin>>arr[i].second;
    }
    sort(arr, arr+n, compare);
    double res=0.0;
    double mx=0.0;
    for(int i=0;i<n;++i)
    {
        res+=arr[i].first;
        double x = res*arr[i].second/100.0;
        mx=max(x ,mx);
    }
    printf("%f", mx);
    return 0;
}